@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

body {
  font-family: 'Poppins', sans-serif;
  color: black;
  font-size: 16px;
  line-height: 1.4;
}

.container_blog {
  background: rgb(255, 255, 255);
  max-width: 100%;
  width: 100vw;
  min-height: 100vh;
  overflow: hidden;
  position: relative;
}
/* .menu_area ul {
  background-color: black;
  display: flex;
  height: 30px;
  gap: 20px;
  justify-content: flex-start;
  align-items: center;
} */

.menu_area ul a {
  color: white;
  text-transform: uppercase;
}

/* Página Home */
.home_blog_posts, .blog_posts {
  min-height: 40vh;
  width: 100%;
  padding: 0 20px;
}

.destaque_principal{ 
  width: 100%; 
  min-height: 10vh;
  margin-bottom: 40px;
}

.destaque_principal .img_filter,.destaque .img_filter {
  width: 100%;
  position: relative;
  background: #adadad7a url(../img/icones/image.png) no-repeat center/50px;
}

.destaque_principal .img_filter { height: 300px; }
.destaque .img_filter { height: 150px; }

.img_filter::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background-color: #4a90e27a;
  mix-blend-mode: overlay;
  z-index: 1;
}

.img_filter::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background-color: #8d0063a3;
  mix-blend-mode: lighten;
  z-index: 2;
}

.img_filter > a {
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 3;
}

.img_filter > img {
  filter: grayscale(0.9);
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.categoria_destaque_principal {
  background: #FF9900;
  width: 80%;
  translate: 0 -50%;
  padding: 15px 10px;
  position: relative;
  z-index: 3;
}

.categoria_destaque_principal > a {
  font-size: 14px;
  color: black;
  font-weight: 700;
  z-index: 4;
}

.text_container_destaque_principal .post_title {
  font-size: 19px !important;
  font-weight: 700;
  padding: 0 10px;
  transform: translateY(-10px);
}

.text_container_destaque_principal p {
  padding: 0 10px 10px 10px;
}

.autor, .tags {
 font-weight: 700 !important;
 font-size: 14px !important;
 padding: 0 10px !important;
}

.autor a, .tags a{
  font-weight: 700 !important;
  border-bottom: 1px solid black;
 }

/* Destaque Secundário */
.destaque {
  background: #EAEEF4;
  margin-bottom: 40px;
  padding-bottom: 20px;
}

.text_container_destaque .post_title {
  font-size: 19px !important;
  font-weight: 700;
  padding: 0 10px 10px 10px ;
}

.text_container_destaque .post_title {
  font-size: 19px !important;
  font-weight: 700;
  padding: 0 10px 10px 10px;
}

.text_container_destaque p {
  padding: 0 10px 10px 10px;
}
.categoria_destaque {
  width: 80%;
  padding: 15px 10px;
  position: relative;
  z-index: 3;
  margin-bottom: 5px;
}

.categoria_destaque::before {
  content: "";
  width: 100%;
  height: 10px;
  background: #FF9900;
  position: absolute;
  top: -5px;
  left: 0;
}

.categoria_destaque > a {
  font-size: 14px;
  color: black;
  font-weight: 700;
}
/* Fim Destaque Secundário */

/* Rodapé */

.social_links {
  width: 100%;
  display: flex;
  padding: 0 20px;
  justify-content: space-between;
  align-items: flex-end;
}

.social_links ul {
  display: flex;
  gap: 20px;
}

.logo_rodape, .insta, .face, .youtube {
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  overflow: hidden;
  text-indent: -1000px;
}

.logo_rodape { width: 57px; height: 57px; }
.logo_rodape { background: tomato}

.insta, .face, .youtube { display: block; width: 40px; height: 40px;}
.insta{ background-image: url(../img/icones/instagram.png);}
.face{ background-image: url(../img/icones/facebook.png);}
.youtube{ background-image: url(../img/icones/youtube.png);}


.credito_footer {
  margin-top: 10px;
  background: #270D36;
  height: 70px;
  padding: 20px;
  font-size: 12px;
  color: white !important;
  text-align: center;
  margin-top: 30px;
  z-index: 3;
}

.credito_footer a { color: #FF9900; font-weight: 700;}

/* Fim rodapé */

/* Inicio Menu */

.container_logo {
  height: 124px;
  background: linear-gradient(90.07deg, #270D36 50%, #000000 100%);
  color: white;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  padding: 0 20px 20px 20px;
  margin-bottom: 20px;
}

.logo_blog h1{
  font-weight: 300 !important;
  font-size: 29px;
  text-transform: uppercase;
  transform: translateY(-16px);
}

.logo {
  background-image: url(../img/logo.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: right;
  display: inline-block;
  width: 140px;
  height: 55px;
  text-indent: -200px;
  overflow: hidden;
}

#menu-control-open {
  height: 31px;
  width: 31px;
  overflow: hidden;
  align-self: center;
  background-image: url(../img/icones/hamburger.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: 85% 85%;
  transform: translateY(16px);
  text-indent: -100px;
}

.blog_posts h2, .container_contato h2 {
  font-weight: 300;
  font-size: 30px;
  margin-bottom: 20px;
  text-transform: uppercase;
}

#menu_area {
  background: linear-gradient(180deg, #270D36 50%, #000000 100%);
  transition: right ease-in-out 0.9s;
  position: absolute;
  z-index: 1;
  width: 100vw;
  max-width: 100%;
  height: 100vh;
  top: 0;
  right: -100vw;
  z-index: 9;
  display: flex;
  justify-content: center;
  align-items: center;
}

#menu-menu-topo {
  display: flex;
  flex-direction: column;
  gap: 40px;
  font-size: 24px;
  color: white;
  font-size: 30px;
  font-weight: 300;
  text-transform: uppercase;
}

.current_page_item, .current_page_parent {
  color: #FF9900;
}

#menu-control-close {
  background-image: url(../img/icones/close_withe.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  right: 40px;
  top: 40px;
  text-transform: uppercase;
  height: 30px;
  width: 30px;
  overflow: hidden;
  text-indent: -100px;
}

#menu_area.active {
  right: 0;
}

#menu_area.desktop {
  width: 20vw;
  margin-left: 0;
}

nav {
  background-color: white;
}
.container {
  background-color: lime;
  min-height: 120vh;
}

.boqueiaScroll {
  overflow: hidden;
}
.container_menu{
  position: sticky;
  top: 0;
  z-index: 1;
}
/* Fim menu */

/* single de post */

.post {
  /* background: rgb(124, 124, 124); */
  padding: 20px;
  margin-bottom: 20px;
  min-height: calc(100vh - 341px);
}

.post_title_interna {
  font-size: 27px !important;
  font-weight: 700;
  padding: 30px 10px 20px 10px ;
  font-weight: 300;
  text-transform: uppercase;
}

blockquote.wp-block-quote {
  font-weight: 700;
  padding-top: 34px;
  padding-left: 40px;
  position: relative;
  z-index: 1;
}

blockquote.wp-block-quote::before {
  content: '"';
  font-size: 160px;
  position: absolute;
  color: #EAEEF4;
  z-index: -1;
  transform: translate(-61px, -56px);
  font-style: italic;
}

h2.wp-block-heading {
  padding: 30px 10px 20px 10px;
}

.container_contato {
  /* background-color: olive; */
  min-height: calc(100vh - 290px);
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 10px;
}

#contactForm {
  background: #e9e9e9;
  width: 80vw;
  max-width: 400px;
  min-height: 45vh;
  padding: 20px;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

#contactForm label {
  font-weight: 700;
  font-size: 14px;
}

#nome, #email {
  height: 30px;
}

#mensagem {
  flex-grow: 1;
}

#nome, #email, #mensagem {
  border: none;
}


#submitForm {
  background: #6414D2;
  width: 100%;
  border: none;
  height: 37px;
  border-radius: 5px;
  color: white;
  margin-top: 20px;
}

.error-messages {
  width: 80vw;
  max-width: 400px;
  padding: 10px 0;
}

.error-messages p {
  font-weight: 400 !important;
  font-size: 13px !important;
  padding: 0 30px;
}

.error-messages p:not(:last-child) {
  margin-bottom: 5px;
}

/* .form {
  background-color: gold;
  min-height: 50vh;
  padding: 20px 0;
  margin: 40px 0;
} */

.noticia_destaque{
  border: solid 1px black;
  padding-bottom: 20px;
}

.img_container_destaque_principal{
  width: 100%;
  height: 200px;
  overflow: hidden;
}

.img_container_destaque{
  width: 150px;
  height: 150px;
  overflow: hidden;
}

.img_container_destaque img, .img_container_destaque_principal img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.modal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background: #e9e9e9;
  width: 80vw;
  max-width: 400px;
  min-height: 30vh;
  padding: 20px;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.modal-content p {
  font-size: 18px;
  font-weight: 700;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  position: absolute;
  right: 20px;
  top: 20px;

  background-image: url(../img/icones/close_black.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  height: 30px;
  width: 30px;
}

/* .close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
} */

iframe {
  width: 100% !important;
  height: calc(9 / 16 * (100vw - 20px));
  margin-top: 20px;
}

.error-404 {
  min-height: calc(100vh - 321px);
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  position: relative;
  align-items: center;
  z-index: 1;
}

.error-msg {
  position: absolute;
  top: 10%;
  padding: 0 10px;
}

.error-image {
  width: 80vw;
  background-image: url(../img/icones/erro.gif);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  z-index: -1;
  min-height: 100%;
}

@media (min-width: 600px) {
  .container_logo {
      padding: 0 10vw 20px 10vw;
  }

  .home_blog_posts, .blog_posts, .social_links, .post {
    padding: 0;
    width: 80vw;
    margin: auto;
  }

  .home_blog_posts {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto;
    grid-gap: 20px;

  }

  .home_blog_posts .destaque_principal {
    grid-column: 1 / 3;
    grid-row: 1 / 2;
  }

  .blog_posts {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto;
    grid-gap: 20px;
    margin-bottom: 90px;
  }

  .blog_posts h2 {
    grid-column: 1 / 3;
    grid-row: 1 / 2 ;
  }
  .destaque {
    margin-bottom: 0;
  }

  iframe {
    width: 100% !important;
    height: calc(9 / 16 * 80vw);
  }

  #contactForm {
    padding: 40px;
  }

}

@media (min-width: 1000px) {
  #menu-control-open, #menu-control-close {
    display: none;
  }
  .container_logo {
    padding: 0;
  }
  .header_principal {
    background: linear-gradient(180deg, #270D36 50%, #000000 100%);
    display: flex;
    justify-content: space-between;
    padding: 0 22vw;
    height: 124px;
    margin-bottom: 40px;
  }

  .container_logo {
    background: none;
  }

  .logo_blog h1 {
    transform: translateY(-40px);
  }

  #menu_area {
    position: initial;
    transition: none;
    /* background: tomato; */
    height: 124px;
    width: auto !important;
  }

  #menu-menu-topo {
    display: flex;
    flex-direction: row;
    gap: 40px;
    font-size: 24px;
  }

  .home_blog_posts, .blog_posts, .social_links, .post {
    padding: 0;
    width: 55vw;
  }

  .blog_posts {
    grid-template-columns: repeat(3, 1fr);
    margin-bottom: 90px;
  }

  .blog_posts h2 {
    grid-column: 1 / 4;
    grid-row: 1 / 2 ;
  }

  .destaque_principal .img_filter { height: 20vw; }
  .destaque .img_filter { height: 15vw; }

  iframe {
    width: 100% !important;
    height: calc(9 / 16 * 55vw);
  }
}